Dynamic scope warning in puppet 2.7.23

asked 2016-07-08 05:52:27 -0600

updated 2016-07-08 11:13:24 -0600

ramindk gravatar image

Puppet Folks,

I am using puppet 2.7.23 for production monitoring, i am bounded to use 2.7.23 version, I want to fix the warning, I followed http://docs.puppetlabs.com/guides/scopeandpuppet.html the link, but to my rescue I am unable to implement the concept, my code is enlisted below:

#
# AWS class for masterless base_server
#


#include base_server::cloud::aws

class base_server::cloud::aws::masterless {

 # $base_server::cloud::aws::masterless = 'true'
   $masterless = 'true'


  include base_server::cloud::aws

  class { "apt::sources_list::sensuapp" :
    stage => pre
  }

  include apt::sources_list::sensuapp

  # masterless puppet configure class.
  include cloud::masterless

  # metadata configuration script to be added in rc.local.
  file { "/usr/local/bin/sre_configure_instance.py" :
    ensure  => present,
    owner   => "root",
    group   => "root",
    mode    => "744",
    source  => "puppet:///modules/cloud/masterless/aws/usr/local/bin/sre_configure_instance.py"
  }

}

kindly suggest solutions

edit retag flag offensive close merge delete

Comments

Add the error you're seeing, should have a line number. Make sure that matches the code you've pasted.

ramindk gravatar imageramindk ( 2016-07-08 11:14:27 -0600 )edit